# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Frustum Class Reference

A set of planes defining a frustum used for culling purposes (frustum culling). More...

`#include <Frustum.hpp>`

List of all members.

## Public Member Functions

virtual const char * | className ()
std::vector< Plane > & | planes ()
const std::vector< Plane > & | planes () const
void | setPlane (unsigned i, const Plane &plane)
const Plane & | plane (unsigned i) const
bool | cull (const Sphere &sphere) const
bool | cull (const AABB &aabb) const
bool | cull (const std::vector< fvec3 > &points) const

## Protected Attributes

std::vector< Plane > | mPlanes

## Detailed Description

A set of planes defining a frustum used for culling purposes (frustum culling).

See also:
  Camera, Viewport

## Member Function Documentation

virtual const char* vl::Frustum::className | ( |  | ) | `[inline, virtual]`

std::vector<Plane>& vl::Frustum::planes | ( |  | ) | `[inline]`

const std::vector<Plane>& vl::Frustum::planes | ( |  | ) | const`[inline]`

void vl::Frustum::setPlane | ( | unsigned | i,
|  | const Plane & | plane |
| ) |  |  | `[inline]`

const Plane& vl::Frustum::plane | ( | unsigned | i | ) | const`[inline]`

bool vl::Frustum::cull | ( | const Sphere & | sphere | ) | const`[inline]`

bool vl::Frustum::cull | ( | const AABB & | aabb | ) | const`[inline]`

bool vl::Frustum::cull | ( | const std::vector< fvec3 > & | points | ) | const`[inline]`

## Member Data Documentation

std::vector<Plane> vl::Frustum::mPlanes`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Frustum.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:35 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.